﻿define([
    "qvangular"
],
    function (qvangular) {

        //console.log('connector-main, BQ', Date.now());

        function create(serverside) {

            function generateSelectScript(connectionServerside, table) {
                console.log("generateScript");
                var generateTableLoadScript = "script";
                return qvangular.when(generateTableLoadScript);
            }


            function getInitialStep() {
                return {
                    template: "<div><main class=\"dm-main\"><p>Please go to the data data load editor to use this connector.</p></main></div>",
                    scope: {
                        qvDialogContext: '='
                    },
                    controller: ['$scope', function ($scope) {
                        $scope.qvDialogContext.finishDisabled = function () { return true  };
                        $scope.qvDialogContext.nextDisabled = function () { return true };
                    }]
                }
            }

            function getConnectStep() {
                return {
                    template: "<div class=\"qlik-odbc-connector-container customconnectorconnectcontainer\"><main class=\"dm-main\">Please go to the data data load editor to use this connector.</main></div>",
                    scope: {
                        qvDialogContext: '='
                    },
                    controller: ['$scope', function ($scope) {
                        $scope.qvDialogContext.size = "S";
                        $scope.qvDialogContext.title = "Create a connection";
                        $scope.qvDialogContext.nextDisabled = function () {return true};
                    }]
                }
            }

            var entrypoints = [];

            entrypoints.push(
                {
                    id: "StretchServiceNowConnector",
                    category: "database",
                    name: "ServiceNow Connector by Stretch",
                    imagePath: "../resources/../customdata/64/QvServiceNowConnector/web/Logo.svg",
                    initialConnectStep: getConnectStep()
                });

            var connector = {
                entrypoints: entrypoints,
                getInitialSelectStep: getInitialStep,
                generateSelectScript: generateSelectScript,
                getRawScript: null,
            };

            return connector;
        }

        var exports = {
            create: create
        };
        return exports;

    });